Bug 1289592 - invalid security context, lpr_t
invalid security context, lpr_t
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
24
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 09:03 EST by Michael J. Chudobiak
Modified: 2017-08-08 08:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:30:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J. Chudobiak 2015-12-08 09:03:17 EST
Description of problem: 

I've installed the Citrix Receiver rpm (https://www.citrix.com/downloads/citrix-receiver/linux.html). The citrix client runs, but doesn't see the local printers. The messages in the audit log are not of the "normal" type, in my limited experience:


[root@daisy files]# audit2allow -a
libsepol.context_from_record: invalid security context: "unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023"
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 to sid
libsepol.context_from_record: invalid security context: "unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023"
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 to sid


It works fine in permissive mode. On the selinux mailing list, Miroslav (mgrepl@redhat.com) said: "Ok, the problem is we label lpr executables and there is a generic transition from unconfined domain but without role access. Could you please open a new bug where we could discuss it more and widely."


Version-Release number of selected component (if applicable):

[root@magnus ~]# rpm -qa | grep selinux
libselinux-2.3-10.fc22.x86_64
libselinux-python-2.3-10.fc22.x86_64
selinux-policy-targeted-3.13.1-128.12.fc22.noarch
libselinux-debuginfo-2.3-9.fc21.x86_64
libselinux-utils-2.3-10.fc22.x86_64
selinux-policy-3.13.1-128.12.fc22.noarch
libselinux-ruby-2.3-10.fc22.x86_64
rpm-plugin-selinux-4.12.0.1-12.fc22.x86_64

[root@magnus ~]# rpm -qa | grep ICA
ICAClient-13.2.1.328635-0.x86_64
Comment 1 Miroslav Grepl 2015-12-11 08:02:35 EST
We need to review transitions from unconfined domain which cause issues like this.
Comment 2 Frank Danapfel 2016-08-26 08:52:32 EDT
I'm seeing the same issue in Fedora 24 when trying to print from the Citrix Receiver:

# grep lpr /var/log/audit/audit.log
type=SELINUX_ERR msg=audit(1471939648.124:26693): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=process
type=SELINUX_ERR msg=audit(1471939731.318:26694): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=process
type=SELINUX_ERR msg=audit(1471941216.034:26707): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=process
type=SELINUX_ERR msg=audit(1471941273.055:26708): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=process
type=SELINUX_ERR msg=audit(1471942515.281:26770): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=process
type=SELINUX_ERR msg=audit(1471942607.198:26771): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=process
type=SELINUX_ERR msg=audit(1471952178.503:26861): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=process
type=SELINUX_ERR msg=audit(1471952178.512:26862): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SELINUX_ERR msg=audit(1471952178.513:26863): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SELINUX_ERR msg=audit(1471952178.513:26864): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SELINUX_ERR msg=audit(1471952178.513:26865): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SELINUX_ERR msg=audit(1471952178.513:26866): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SELINUX_ERR msg=audit(1471952178.514:26867): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SELINUX_ERR msg=audit(1471952178.514:26868): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SELINUX_ERR msg=audit(1471952178.514:26869): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=unix_stream_socket
type=SELINUX_ERR msg=audit(1471952178.514:26870): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=udp_socket
type=SELINUX_ERR msg=audit(1471952178.514:26871): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=udp_socket
type=SELINUX_ERR msg=audit(1471952178.515:26872): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=tcp_socket
type=SELINUX_ERR msg=audit(1471952178.515:26873): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 tclass=tcp_socket
type=SELINUX_ERR msg=audit(1471968789.201:27036): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=process
type=SELINUX_ERR msg=audit(1472214626.218:1272): op=security_compute_sid invalid_context=unconfined_u:unconfined_r:lpr_t:s0-s0:c0.c1023 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lpr_exec_t:s0 tclass=process

Version-Release number of selected component (if applicable):
# cat /etc/fedora-release 
Fedora release 24 (Twenty Four)
# rpm -qa | grep selinux
libselinux-2.5-9.fc24.x86_64
libselinux-python3-2.5-9.fc24.x86_64
selinux-policy-3.13.1-191.12.fc24.noarch
libselinux-utils-2.5-9.fc24.x86_64
rpm-plugin-selinux-4.13.0-0.rc1.27.fc24.x86_64
selinux-policy-targeted-3.13.1-191.12.fc24.noarch
# rpm -qa | grep ICA
ICAClient-13.3.0.344519-0.x86_64
Comment 3 Daniel Walsh 2016-08-26 11:03:46 EDT
The problem is unconfined_r is not allowed on lpr_t.

unconfiend_t -> mozilla_plugin_t -> lpr_t, but we need to add a rule like

role unconfined_r types lpr_t;
Comment 4 Fedora Admin XMLRPC Client 2016-09-27 11:06:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2017-07-25 15:36:47 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-08-08 08:30:13 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.